Subject: Re: [netlmm] [MEXT] Comments on draft-ietf-mext-binding-revocation-03

From: "Ahmad Muhanna" <[email-masked]>
Date: Fri, 13 Mar 2009 11:51:21 -0500

Hi Joel,
Sorry for not responding earlier, somehow I did not see your email
earlier:( 
I assume that you will be okay if I reply back to your follow-up email;
which have more points to address.

Regards,
Ahmad

> -----Original Message-----
> From: Joel Hortelius [mailto:[email-masked]] 
> Sent: Monday, March 09, 2009 9:06 AM
> To: Qin Wu
> Cc: Muhanna, Ahmad (RICH1:2H10); Vijay Devarapalli; Sri 
> Gundavelli; [email-masked]
> Subject: Re: [MEXT] Comments on draft-ietf-mext-binding-revocation-03
> 
> A question regarding revocation;
> 
> The LMA may receive a request with the 'G' bit cleared, and 
> information that identifies multiple BCE's (multiple HNPs 
> provided in the BRI). In that scenario, the LMA revokes all 
> bindings, and if one HNP is not found, it will respond with a 
> partial success and provide the HNP that was not found.
> 
> In the MAG, there's no section that states the same, but the 
> BRA section indicates that its valid? with its "partial 
> success" scenario? The MAG does seem to act differently with 
> regards to different triggers. What if a BRI is received 
> which identifies multiple BCEs, using a trigger such as 
> "unknown handoff", and one or more of the BCE's are deemed 
> "still attached"? Is that a partial success scenario? The BRA 
> section specifies that partial success only should be used if 
> a BCE that has been requested to be revoked is already 
> released? Should the inter-mag triggers require to only match 
> a single node, like setting the 'V' flag implicitly does?
> 
> Can all triggers be used with 'G', or only those that are specified?
> What action should be taken if one receives a 'G' with a 
> trigger such as
> "v4 lease expired"? Ignore it, or send an error?
> 
> Basically, since some triggers require specific actions, I'm 
> a bit confused regarding the combinations. What if a future 
> trigger appears that requires another specific action, which 
> is unknown to the current implementation? 
> 
> Regards,
> Joel Hortelius
> 
> 
> 
> 
>